# Class FlinchStatChangeAbAttr

#### Hierarchy (view full)

- FlinchEffectAbAttr
  - FlinchStatChangeAbAttr

- Defined in src/data/ability.ts:3177

#####
Index

### Constructors

constructor

### Properties

levels
showAbility
stats

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new FlinchStatChangeAbAttr(stats, levels): FlinchStatChangeAbAttr

- #### Parameters

  - stats: BattleStat | BattleStat []
  - levels: number

  #### Returns FlinchStatChangeAbAttr

  Overrides FlinchEffectAbAttr.constructor

  - Defined in src/data/ability.ts:3181

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:3179

### showAbility

showAbility: boolean

Inherited from FlinchEffectAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stats

stats: BattleStat []

- Defined in src/data/ability.ts:3178

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from FlinchEffectAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides FlinchEffectAbAttr.apply

  - Defined in src/data/ability.ts:3190

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from FlinchEffectAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from FlinchEffectAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137